THashStat (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class THashStat

- java.lang.Object
- - com.sleepycat.thrift.THashStat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<THashStat>, org.apache.thrift.TBase<THashStat,THashStat._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class THashStat
      extends java.lang.Object
      implements org.apache.thrift.TBase<THashStat,THashStat._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<THashStat>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `THashStat._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `BFree`
    `long` | `bigBFree`
    `int` | `bigPages`
    `int` | `buckets`
    `int` | `dup`
    `long` | `dupFree`
    `int` | `ffactor`
    `int` | `free`
    `int` | `magic`
    `static java.util.Map<THashStat._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `int` | `metaFlags`
    `int` | `numBlobs`
    `int` | `numData`
    `int` | `numKeys`
    `int` | `overflows`
    `long` | `ovflFree`
    `int` | `pageCount`
    `int` | `pageSize`
    `int` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `THashStat()`
    `THashStat(long BFree, long bigBFree, int bigPages, int buckets, int dup, long dupFree, int ffactor, int free, int magic, int metaFlags, int numBlobs, int numData, int numKeys, int overflows, long ovflFree, int pageCount, int pageSize, int version)`
    `THashStat(THashStat other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(THashStat other)`
    `THashStat` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(THashStat that)`
    `THashStat._Fields` | `fieldForId(int fieldId)`
    `long` | `getBFree()`
    `long` | `getBigBFree()`
    `int` | `getBigPages()`
    `int` | `getBuckets()`
    `int` | `getDup()`
    `long` | `getDupFree()`
    `int` | `getFfactor()`
    `java.lang.Object` | `getFieldValue(THashStat._Fields field)`
    `int` | `getFree()`
    `int` | `getMagic()`
    `int` | `getMetaFlags()`
    `int` | `getNumBlobs()`
    `int` | `getNumData()`
    `int` | `getNumKeys()`
    `int` | `getOverflows()`
    `long` | `getOvflFree()`
    `int` | `getPageCount()`
    `int` | `getPageSize()`
    `int` | `getVersion()`
    `int` | `hashCode()`
    `boolean` | `isSet(THashStat._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetBFree()` Returns true if field BFree is set (has been assigned a value) and false otherwise
    `boolean` | `isSetBigBFree()` Returns true if field bigBFree is set (has been assigned a value) and false otherwise
    `boolean` | `isSetBigPages()` Returns true if field bigPages is set (has been assigned a value) and false otherwise
    `boolean` | `isSetBuckets()` Returns true if field buckets is set (has been assigned a value) and false otherwise
    `boolean` | `isSetDup()` Returns true if field dup is set (has been assigned a value) and false otherwise
    `boolean` | `isSetDupFree()` Returns true if field dupFree is set (has been assigned a value) and false otherwise
    `boolean` | `isSetFfactor()` Returns true if field ffactor is set (has been assigned a value) and false otherwise
    `boolean` | `isSetFree()` Returns true if field free is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMagic()` Returns true if field magic is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMetaFlags()` Returns true if field metaFlags is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumBlobs()` Returns true if field numBlobs is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumData()` Returns true if field numData is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumKeys()` Returns true if field numKeys is set (has been assigned a value) and false otherwise
    `boolean` | `isSetOverflows()` Returns true if field overflows is set (has been assigned a value) and false otherwise
    `boolean` | `isSetOvflFree()` Returns true if field ovflFree is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPageCount()` Returns true if field pageCount is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPageSize()` Returns true if field pageSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetVersion()` Returns true if field version is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `THashStat` | `setBFree(long BFree)`
    `void` | `setBFreeIsSet(boolean value)`
    `THashStat` | `setBigBFree(long bigBFree)`
    `void` | `setBigBFreeIsSet(boolean value)`
    `THashStat` | `setBigPages(int bigPages)`
    `void` | `setBigPagesIsSet(boolean value)`
    `THashStat` | `setBuckets(int buckets)`
    `void` | `setBucketsIsSet(boolean value)`
    `THashStat` | `setDup(int dup)`
    `THashStat` | `setDupFree(long dupFree)`
    `void` | `setDupFreeIsSet(boolean value)`
    `void` | `setDupIsSet(boolean value)`
    `THashStat` | `setFfactor(int ffactor)`
    `void` | `setFfactorIsSet(boolean value)`
    `void` | `setFieldValue(THashStat._Fields field, java.lang.Object value)`
    `THashStat` | `setFree(int free)`
    `void` | `setFreeIsSet(boolean value)`
    `THashStat` | `setMagic(int magic)`
    `void` | `setMagicIsSet(boolean value)`
    `THashStat` | `setMetaFlags(int metaFlags)`
    `void` | `setMetaFlagsIsSet(boolean value)`
    `THashStat` | `setNumBlobs(int numBlobs)`
    `void` | `setNumBlobsIsSet(boolean value)`
    `THashStat` | `setNumData(int numData)`
    `void` | `setNumDataIsSet(boolean value)`
    `THashStat` | `setNumKeys(int numKeys)`
    `void` | `setNumKeysIsSet(boolean value)`
    `THashStat` | `setOverflows(int overflows)`
    `void` | `setOverflowsIsSet(boolean value)`
    `THashStat` | `setOvflFree(long ovflFree)`
    `void` | `setOvflFreeIsSet(boolean value)`
    `THashStat` | `setPageCount(int pageCount)`
    `void` | `setPageCountIsSet(boolean value)`
    `THashStat` | `setPageSize(int pageSize)`
    `void` | `setPageSizeIsSet(boolean value)`
    `THashStat` | `setVersion(int version)`
    `void` | `setVersionIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetBFree()`
    `void` | `unsetBigBFree()`
    `void` | `unsetBigPages()`
    `void` | `unsetBuckets()`
    `void` | `unsetDup()`
    `void` | `unsetDupFree()`
    `void` | `unsetFfactor()`
    `void` | `unsetFree()`
    `void` | `unsetMagic()`
    `void` | `unsetMetaFlags()`
    `void` | `unsetNumBlobs()`
    `void` | `unsetNumData()`
    `void` | `unsetNumKeys()`
    `void` | `unsetOverflows()`
    `void` | `unsetOvflFree()`
    `void` | `unsetPageCount()`
    `void` | `unsetPageSize()`
    `void` | `unsetVersion()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BFree

          public long BFree

    - #### bigBFree

          public long bigBFree

    - #### bigPages

          public int bigPages

    - #### buckets

          public int buckets

    - #### dup

          public int dup

    - #### dupFree

          public long dupFree

    - #### ffactor

          public int ffactor

    - #### free

          public int free

    - #### magic

          public int magic

    - #### metaFlags

          public int metaFlags

    - #### numBlobs

          public int numBlobs

    - #### numData

          public int numData

    - #### numKeys

          public int numKeys

    - #### overflows

          public int overflows

    - #### ovflFree

          public long ovflFree

    - #### pageCount

          public int pageCount

    - #### pageSize

          public int pageSize

    - #### version

          public int version

    - #### metaDataMap

          public static final java.util.Map<THashStat._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### THashStat

          public THashStat()

    - #### THashStat

          public THashStat(long BFree,
                           long bigBFree,
                           int bigPages,
                           int buckets,
                           int dup,
                           long dupFree,
                           int ffactor,
                           int free,
                           int magic,
                           int metaFlags,
                           int numBlobs,
                           int numData,
                           int numKeys,
                           int overflows,
                           long ovflFree,
                           int pageCount,
                           int pageSize,
                           int version)

    - #### THashStat

          public THashStat(THashStat other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public THashStat deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<THashStat,THashStat._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<THashStat,THashStat._Fields>`

    - #### getBFree

          public long getBFree()

    - #### setBFree

          public THashStat setBFree(long BFree)

    - #### unsetBFree

          public void unsetBFree()

    - #### isSetBFree

          public boolean isSetBFree()

      Returns true if field BFree is set (has been assigned a value) and false otherwise

    - #### setBFreeIsSet

          public void setBFreeIsSet(boolean value)

    - #### getBigBFree

          public long getBigBFree()

    - #### setBigBFree

          public THashStat setBigBFree(long bigBFree)

    - #### unsetBigBFree

          public void unsetBigBFree()

    - #### isSetBigBFree

          public boolean isSetBigBFree()

      Returns true if field bigBFree is set (has been assigned a value) and false otherwise

    - #### setBigBFreeIsSet

          public void setBigBFreeIsSet(boolean value)

    - #### getBigPages

          public int getBigPages()

    - #### setBigPages

          public THashStat setBigPages(int bigPages)

    - #### unsetBigPages

          public void unsetBigPages()

    - #### isSetBigPages

          public boolean isSetBigPages()

      Returns true if field bigPages is set (has been assigned a value) and false otherwise

    - #### setBigPagesIsSet

          public void setBigPagesIsSet(boolean value)

    - #### getBuckets

          public int getBuckets()

    - #### setBuckets

          public THashStat setBuckets(int buckets)

    - #### unsetBuckets

          public void unsetBuckets()

    - #### isSetBuckets

          public boolean isSetBuckets()

      Returns true if field buckets is set (has been assigned a value) and false otherwise

    - #### setBucketsIsSet

          public void setBucketsIsSet(boolean value)

    - #### getDup

          public int getDup()

    - #### setDup

          public THashStat setDup(int dup)

    - #### unsetDup

          public void unsetDup()

    - #### isSetDup

          public boolean isSetDup()

      Returns true if field dup is set (has been assigned a value) and false otherwise

    - #### setDupIsSet

          public void setDupIsSet(boolean value)

    - #### getDupFree

          public long getDupFree()

    - #### setDupFree

          public THashStat setDupFree(long dupFree)

    - #### unsetDupFree

          public void unsetDupFree()

    - #### isSetDupFree

          public boolean isSetDupFree()

      Returns true if field dupFree is set (has been assigned a value) and false otherwise

    - #### setDupFreeIsSet

          public void setDupFreeIsSet(boolean value)

    - #### getFfactor

          public int getFfactor()

    - #### setFfactor

          public THashStat setFfactor(int ffactor)

    - #### unsetFfactor

          public void unsetFfactor()

    - #### isSetFfactor

          public boolean isSetFfactor()

      Returns true if field ffactor is set (has been assigned a value) and false otherwise

    - #### setFfactorIsSet

          public void setFfactorIsSet(boolean value)

    - #### getFree

          public int getFree()

    - #### setFree

          public THashStat setFree(int free)

    - #### unsetFree

          public void unsetFree()

    - #### isSetFree

          public boolean isSetFree()

      Returns true if field free is set (has been assigned a value) and false otherwise

    - #### setFreeIsSet

          public void setFreeIsSet(boolean value)

    - #### getMagic

          public int getMagic()

    - #### setMagic

          public THashStat setMagic(int magic)

    - #### unsetMagic

          public void unsetMagic()

    - #### isSetMagic

          public boolean isSetMagic()

      Returns true if field magic is set (has been assigned a value) and false otherwise

    - #### setMagicIsSet

          public void setMagicIsSet(boolean value)

    - #### getMetaFlags

          public int getMetaFlags()

    - #### setMetaFlags

          public THashStat setMetaFlags(int metaFlags)

    - #### unsetMetaFlags

          public void unsetMetaFlags()

    - #### isSetMetaFlags

          public boolean isSetMetaFlags()

      Returns true if field metaFlags is set (has been assigned a value) and false otherwise

    - #### setMetaFlagsIsSet

          public void setMetaFlagsIsSet(boolean value)

    - #### getNumBlobs

          public int getNumBlobs()

    - #### setNumBlobs

          public THashStat setNumBlobs(int numBlobs)

    - #### unsetNumBlobs

          public void unsetNumBlobs()

    - #### isSetNumBlobs

          public boolean isSetNumBlobs()

      Returns true if field numBlobs is set (has been assigned a value) and false otherwise

    - #### setNumBlobsIsSet

          public void setNumBlobsIsSet(boolean value)

    - #### getNumData

          public int getNumData()

    - #### setNumData

          public THashStat setNumData(int numData)

    - #### unsetNumData

          public void unsetNumData()

    - #### isSetNumData

          public boolean isSetNumData()

      Returns true if field numData is set (has been assigned a value) and false otherwise

    - #### setNumDataIsSet

          public void setNumDataIsSet(boolean value)

    - #### getNumKeys

          public int getNumKeys()

    - #### setNumKeys

          public THashStat setNumKeys(int numKeys)

    - #### unsetNumKeys

          public void unsetNumKeys()

    - #### isSetNumKeys

          public boolean isSetNumKeys()

      Returns true if field numKeys is set (has been assigned a value) and false otherwise

    - #### setNumKeysIsSet

          public void setNumKeysIsSet(boolean value)

    - #### getOverflows

          public int getOverflows()

    - #### setOverflows

          public THashStat setOverflows(int overflows)

    - #### unsetOverflows

          public void unsetOverflows()

    - #### isSetOverflows

          public boolean isSetOverflows()

      Returns true if field overflows is set (has been assigned a value) and false otherwise

    - #### setOverflowsIsSet

          public void setOverflowsIsSet(boolean value)

    - #### getOvflFree

          public long getOvflFree()

    - #### setOvflFree

          public THashStat setOvflFree(long ovflFree)

    - #### unsetOvflFree

          public void unsetOvflFree()

    - #### isSetOvflFree

          public boolean isSetOvflFree()

      Returns true if field ovflFree is set (has been assigned a value) and false otherwise

    - #### setOvflFreeIsSet

          public void setOvflFreeIsSet(boolean value)

    - #### getPageCount

          public int getPageCount()

    - #### setPageCount

          public THashStat setPageCount(int pageCount)

    - #### unsetPageCount

          public void unsetPageCount()

    - #### isSetPageCount

          public boolean isSetPageCount()

      Returns true if field pageCount is set (has been assigned a value) and false otherwise

    - #### setPageCountIsSet

          public void setPageCountIsSet(boolean value)

    - #### getPageSize

          public int getPageSize()

    - #### setPageSize

          public THashStat setPageSize(int pageSize)

    - #### unsetPageSize

          public void unsetPageSize()

    - #### isSetPageSize

          public boolean isSetPageSize()

      Returns true if field pageSize is set (has been assigned a value) and false otherwise

    - #### setPageSizeIsSet

          public void setPageSizeIsSet(boolean value)

    - #### getVersion

          public int getVersion()

    - #### setVersion

          public THashStat setVersion(int version)

    - #### unsetVersion

          public void unsetVersion()

    - #### isSetVersion

          public boolean isSetVersion()

      Returns true if field version is set (has been assigned a value) and false otherwise

    - #### setVersionIsSet

          public void setVersionIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(THashStat._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<THashStat,THashStat._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(THashStat._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<THashStat,THashStat._Fields>`

    - #### isSet

          public boolean isSet(THashStat._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<THashStat,THashStat._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(THashStat that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(THashStat other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<THashStat>`

    - #### fieldForId

          public THashStat._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<THashStat,THashStat._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.